This page was not yet optimized for use on mobile devices.
Apple corecrypto Module v11.1 [Intel, Kernel, Software]
Certificate details
| Certificate ID | #4390 |
|---|---|
| Status | active |
| Validation dates | 07.12.2022 |
| Sunset date | 06-12-2027 |
| Standard | FIPS 140-3 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in approved mode |
| Exceptions |
|
| Description | The Apple corecrypto Kernel Space Module for Intel is a software cryptographic module running on a multi-chip standalone hardware device and provides services intended to protect data in transit and at rest. |
| Tested configurations |
|
| Vendor | Apple Inc. http://www.apple.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES-128, AES-256, AES, AES-, CAST5, CAST, RC4, RC2, DES, Triple-DES, TDEA, Blowfish, HMAC, HMAC-SHA-256, HMAC-SHA-512Asymmetric Algorithms
ECDSA, EdDSA, ECIESHash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, MD4, MD5, RIPEMDSchemes
MAC, Key AgreementProtocols
IKE, IPsecRandomness
DRBGElliptic Curves
P-224, P-256, P-384, P-521, Curve P-192, curve P-192, P-192, Curve25519, Ed25519Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTSSecurity level
Level 1, level 1Standards
FIPS 140-3, FIPS PUB 140-3, FIPS 197, FIPS 186-4, FIPS 180-4, FIPS 198, FIPS186-4, FIPS140-3, FIPS180-4, FIPS197, FIPS198-1, NIST SP 800-140B, SP 800-38A, SP 800-38E, SP 800-38C, SP 800-38D, SP 800-38F, SP 800-133, SP 800-67, NIST SP 800-140F, SP 800-90A, NIST SP 800-90B, SP 800-140x, SP 800-140, SP 800-140A, SP 800-140B, SP 800-140C, SP 800-140D, SP 800-140E, SP 800-140F, PKCS#1, RFC6637, RFC 4106, RFC3394, RFC5649, ISO/IEC 24759Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4390,
"dgst": "c3c41d7503660820",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"AES-XTSA978",
"HMAC-SHA2-512/256A990",
"KDF SP800-108A990",
"SHA2-256A990",
"SHA2-384A990",
"ECDSA KeyGen (FIPS186-4)A990",
"RSA KeyGen (FIPS186-4)A990",
"#A943",
"AES-CBCA978",
"#A976",
"ECDSA SigVer (FIPS186-4)A990",
"AES-CCMA973",
"HMAC-SHA2-512A990",
"AES-OFBA976",
"AES-CFB128A976",
"ECDSA SigGen (FIPS186-4)A990",
"HMAC-SHA2-256A990",
"AES-CFB8A976",
"#A973",
"AES-KWA976",
"HMAC DRBGA990",
"SHA-1A990",
"HMAC-SHA-1A990",
"Counter DRBGA976",
"#A945",
"#A979",
"SHA2-512/256A990",
"#A977",
"HMAC-SHA2-224A990",
"RSA SigGen (FIPS186-4)A990",
"RSA SigVer (FIPS186-4)A990",
"AES-GCMA973",
"#A975",
"SHA2-224A990",
"SHA2-512A990",
"ECDSA KeyVer (FIPS186-4)A990",
"#A990",
"#A974",
"#A978",
"AES-CTRA976",
"HMAC-SHA2-384A990",
"AES-ECBA978"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"11.1"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 31,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDSA": {
"ECDSA": 37
},
"ECIES": {
"ECIES": 3
},
"EdDSA": {
"EdDSA": 1
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 6
},
"CCM": {
"CCM": 3
},
"CFB": {
"CFB": 1
},
"CTR": {
"CTR": 3
},
"ECB": {
"ECB": 5
},
"GCM": {
"GCM": 7
},
"OFB": {
"OFB": 2
},
"XTS": {
"XTS": 4
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"IKE": {
"IKE": 1
},
"IPsec": {
"IPsec": 2
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 3
},
"MAC": {
"MAC": 5
}
},
"device_model": {},
"ecc_curve": {
"Curve": {
"Curve25519": 5
},
"Edwards": {
"Ed25519": 11
},
"NIST": {
"Curve P-192": 4,
"P-192": 15,
"P-224": 8,
"P-256": 10,
"P-384": 8,
"P-521": 8,
"curve P-192": 3
}
},
"eval_facility": {
"atsec": {
"atsec": 3
}
},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES-128": 2,
"AES-256": 3,
"HMAC SHA-256": 1,
"HMAC-256": 2,
"HMAC-SHA-1": 6,
"HMAC-SHA-256": 6,
"HMAC-SHA-512": 2,
"HMAC-SHA251": 2,
"HMAC-SHA256": 6,
"PKCS#1": 16,
"SHA-1": 7,
"SHA-224": 4,
"SHA-256": 11,
"SHA-384": 4,
"SHA-512": 6,
"SHA2-224": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 1,
"level 1": 2
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 2
}
},
"RIPEMD": {
"RIPEMD": 2
},
"SHA": {
"SHA1": {
"SHA-1": 7
},
"SHA2": {
"SHA-224": 4,
"SHA-256": 11,
"SHA-384": 4,
"SHA-512": 6
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 13
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-3": 51,
"FIPS 180-4": 1,
"FIPS 186-4": 7,
"FIPS 197": 4,
"FIPS 198": 1,
"FIPS PUB 140-3": 2,
"FIPS140-3": 1,
"FIPS180-4": 1,
"FIPS186-4": 4,
"FIPS197": 1,
"FIPS198-1": 1
},
"ISO": {
"ISO/IEC 24759": 2
},
"NIST": {
"NIST SP 800-140B": 2,
"NIST SP 800-140F": 1,
"NIST SP 800-90B": 1,
"SP 800-133": 2,
"SP 800-140": 1,
"SP 800-140A": 1,
"SP 800-140B": 1,
"SP 800-140C": 1,
"SP 800-140D": 1,
"SP 800-140E": 1,
"SP 800-140F": 1,
"SP 800-140x": 1,
"SP 800-38A": 3,
"SP 800-38C": 1,
"SP 800-38D": 1,
"SP 800-38E": 1,
"SP 800-38F": 1,
"SP 800-67": 1,
"SP 800-90A": 4
},
"PKCS": {
"PKCS#1": 8
},
"RFC": {
"RFC 4106": 1,
"RFC3394": 1,
"RFC5649": 1,
"RFC6637": 2
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 20,
"AES-": 2,
"AES-128": 2,
"AES-256": 3
},
"CAST": {
"CAST": 6,
"CAST5": 3
},
"RC": {
"RC2": 2,
"RC4": 2
}
},
"DES": {
"3DES": {
"TDEA": 1,
"Triple-DES": 5
},
"DES": {
"DES": 2
}
},
"constructions": {
"MAC": {
"HMAC": 16,
"HMAC-SHA-256": 3,
"HMAC-SHA-512": 1
}
},
"miscellaneous": {
"Blowfish": {
"Blowfish": 2
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES-XTSA978",
"HMAC-SHA2-512/256A990",
"KDF SP800-108A990",
"SHA2-256A990",
"SHA2-384A990",
"ECDSA KeyGen (FIPS186-4)A990",
"RSA KeyGen (FIPS186-4)A990",
"AES-CBCA978",
"ECDSA SigVer (FIPS186-4)A990",
"AES-CCMA973",
"HMAC-SHA2-512A990",
"AES-OFBA976",
"AES-CFB128A976",
"ECDSA SigGen (FIPS186-4)A990",
"HMAC-SHA2-256A990",
"AES-CFB8A976",
"AES-KWA976",
"HMAC DRBGA990",
"SHA-1A990",
"HMAC-SHA-1A990",
"Counter DRBGA976",
"SHA2-512/256A990",
"HMAC-SHA2-224A990",
"RSA SigGen (FIPS186-4)A990",
"RSA SigVer (FIPS186-4)A990",
"AES-GCMA973",
"SHA2-224A990",
"SHA2-512A990",
"ECDSA KeyVer (FIPS186-4)A990",
"AES-CTRA976",
"HMAC-SHA2-384A990",
"AES-ECBA978"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A975",
"#A943",
"#A945",
"#A979",
"#A990",
"#A974",
"#A978",
"#A977",
"#A976",
"#A973"
]
},
"policy_metadata": {
"/CreationDate": "D:20221103192154Z00\u002700\u0027",
"/Creator": "Pages",
"/ModDate": "D:20221103192154Z00\u002700\u0027",
"/Producer": "macOS Version 11.7 (Build 20G817) Quartz PDFContext",
"/Title": "Apple_Inc_Security_Policy_CC11_for_Intel_Kernel_Space_v1.4",
"pdf_file_size_bytes": 1120207,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://support.apple.com/guide/security/welcome/web",
"http://csrc.nist.gov/publications/nistpubs/800-108/sp800-108.pdf",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf",
"https://csrc.nist.gov/Projects/cryptographic-module-validation-program/fips-140-3-ig-announcements",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-56Cr2.pdf",
"https://csrc.nist.gov/publications/detail/sp/800-140a/final",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-57pt1r5.pdf",
"http://www.ietf.org/rfc/rfc3447.txt",
"https://csrc.nist.gov/publications/detail/sp/800-140c/final",
"https://csrc.nist.gov/publications/detail/sp/800-140d/final",
"https://csrc.nist.gov/publications/detail/sp/800-140e/final",
"https://csrc.nist.gov/CSRC/media/Projects/cryptographic-module-validation-program/documents/fips%2520140-3/Draft%2520FIPS-140-3-CMVP%2520Management%2520Manual%252009-18-2020.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90B.pdf",
"http://www.ietf.org/rfc/rfc5649.txt",
"http://csrc.nist.gov/publications/nistpubs/800-38D/SP-800-38D.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38E/nist-sp-800-38E.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-132/nist-sp800-132.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38c.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-131Ar2.pdf",
"http://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-133r2.pdf",
"https://developer.apple.com/macos/",
"http://csrc.nist.gov/publications/fips/fips197/fips-197.pdf",
"https://doi.org/10.6028/NIST.FIPS.140-3",
"http://www.ietf.org/rfc/rfc3394.txt",
"https://csrc.nist.gov/publications/detail/sp/800-140b/final",
"http://csrc.nist.gov/publications/nistpubs/800-67-Rev1/SP-800-67-Rev1.pdf",
"https://support.apple.com/HT201159",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90Ar1.pdf",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38a/sp800-38a.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-135r1.pdf",
"https://csrc.nist.gov/Projects/cryptographic-module-validation-program/fips-140-3-standards",
"https://www.apple.com/legal/intellectual-property/trademark/appletmlist.html",
"https://csrc.nist.gov/publications/detail/sp/800-140f/final",
"https://csrc.nist.gov/publications/detail/sp/800-140/final",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 35
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "d895376c8ebec7d1b17a2820de289589444f8dfae6e1498f98dd75f2ff83c489",
"source_hash": "6042a5a0d5c9cc010925682509ea0f4b26d7a138193dad6e6304cff2f9da0feb",
"txt_hash": "f7e4af0bbf85d84224744ffddef8de201bd8c24cad00bf41e098aca9e0ede69a"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in approved mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/December 2022_030123_0646_signed.pdf",
"date_sunset": "2027-12-06",
"description": "The Apple corecrypto Kernel Space Module for Intel is a software cryptographic module running on a multi-chip standalone hardware device and provides services intended to protect data in transit and at rest.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical security: N/A",
"Non-invasive security: N/A",
"Mitigation of other attacks: N/A"
],
"fw_versions": null,
"historical_reason": null,
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Apple corecrypto Module v11.1 [Intel, Kernel, Software]",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-3",
"status": "active",
"sw_versions": "11.1",
"tested_conf": [
"macOS Big Sur 11.0.1 running on iMac Pro with a Xeon W-2140B (Sky Lake) with PAA",
"macOS Big Sur 11.0.1 running on iMac Pro with a Xeon W-2140B (Sky Lake) without PAA",
"macOS Big Sur 11.0.1 running on Mac Pro with a Xeon W-3223 (Cascade Lake) with PAA",
"macOS Big Sur 11.0.1 running on Mac Pro with a Xeon W-3223 (Cascade Lake) without PAA",
"macOS Big Sur 11.0.1 running on MacBook Air with an Intel i5-8210Y (Amber Lake) with PAA",
"macOS Big Sur 11.0.1 running on MacBook Air with an Intel i5-8210Y (Amber Lake) without PAA",
"macOS Big Sur 11.0.1 running on MacBook Air with an Intel i7-1060NG7 (Ice Lake) with PAA",
"macOS Big Sur 11.0.1 running on MacBook Air with an Intel i7-1060NG7 (Ice Lake) without PAA",
"macOS Big Sur 11.0.1 running on MacBook Pro with an Intel i7-8850H (Coffee Lake) with PAA",
"macOS Big Sur 11.0.1 running on MacBook Pro with an Intel i7-8850H (Coffee Lake) without PAA",
"macOS Big Sur 11.0.1 running on MacBook Pro with an Intel i9-9880H (Coffee Lake) with PAA",
"macOS Big Sur 11.0.1 running on MacBook Pro with an Intel i9-9880H (Coffee Lake) without PAA"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2022-12-07",
"lab": "atsec information security corporation",
"validation_type": "Initial"
}
],
"vendor": "Apple Inc.",
"vendor_url": "http://www.apple.com"
}
}